package com.qmth.distributed.print.business.bean.dto;


import com.qmth.teachcloud.common.annotation.ExcelProperty;

/**
 * @Date: 2021/3/29.
 */
public class ClientPrintTaskDto {

    private String examDetailId;
    private String printPlanId;
    @ExcelProperty(name = "印刷计划", width = 30, index = 2)
    private String printPlanName;
    private Long examStartTime;
    @ExcelProperty(name = "考试开始日期", width = 30, index = 3)
    private String examStartTimeStr;
    private Long examEndTime;
    @ExcelProperty(name = "考试结束日期", width = 30, index = 4)
    private String examEndTimeStr;
    @ExcelProperty(name = "课程（代码）", width = 30, index = 5)
    private String courseNameCode;
    @ExcelProperty(name = "试卷编号", width = 30, index = 6)
    private String paperNumber;
    @ExcelProperty(name = "考点", width = 30, index = 7)
    private String examPlace;
    @ExcelProperty(name = "考场", width = 30, index = 8)
    private String examRoom;
    private String classId;
    private String className;
    @ExcelProperty(name = "单科次A3（页）", width = 30, index = 9)
    private String singlePagesA3;
    private String singlePagesA4;
    private Integer pagesA3;
    private Integer pagesA4;
    @ExcelProperty(name = "科次", width = 30, index = 10)
    private Integer totalSubjects;
    private Integer totalPrint;
    private String status;
    @ExcelProperty(name = "印刷状态", width = 30, index = 11)
    private String statusStr;
    private Boolean validate;
    @ExcelProperty(name = "是否校验", width = 30, index = 13)
    private String validateStr;
    private Boolean download;
    @ExcelProperty(name = "是否缓存", width = 30, index = 12)
    private String downloadStr;
    private Boolean isTry;
    private Boolean isPass;
    @ExcelProperty(name = "印刷员", width = 30, index = 14)
    private String printUser;
    private Long printStartTime;
    @ExcelProperty(name = "印刷开始时间", width = 30, index = 15)
    private String printStartTimeStr;
    private Long printEndTime;
    @ExcelProperty(name = "印刷完成时间", width = 30, index = 16)
    private String printEndTimeStr;
    @ExcelProperty(name = "卷袋编号", width = 30, index = 1)
    private String packageCode;
    private Long createId;
    private Long createTime;

    private String printContent;
    private String variableContent;
    private String ordinaryContent;

    private Boolean incluedPaper;
    private Boolean incluedCard;
    private Boolean incluedSign;
    private Boolean incluedPackage;
    private Boolean incluedCheckin;

    public String getExamDetailId() {
        return examDetailId;
    }

    public void setExamDetailId(String examDetailId) {
        this.examDetailId = examDetailId;
    }

    public String getPrintPlanId() {
        return printPlanId;
    }

    public void setPrintPlanId(String printPlanId) {
        this.printPlanId = printPlanId;
    }

    public String getPrintPlanName() {
        return printPlanName;
    }

    public void setPrintPlanName(String printPlanName) {
        this.printPlanName = printPlanName;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public String getExamStartTimeStr() {
        return examStartTimeStr;
    }

    public void setExamStartTimeStr(String examStartTimeStr) {
        this.examStartTimeStr = examStartTimeStr;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getExamEndTimeStr() {
        return examEndTimeStr;
    }

    public void setExamEndTimeStr(String examEndTimeStr) {
        this.examEndTimeStr = examEndTimeStr;
    }

    public String getCourseNameCode() {
        return courseNameCode;
    }

    public void setCourseNameCode(String courseNameCode) {
        this.courseNameCode = courseNameCode;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getSinglePagesA3() {
        return singlePagesA3;
    }

    public void setSinglePagesA3(String singlePagesA3) {
        this.singlePagesA3 = singlePagesA3;
    }

    public String getSinglePagesA4() {
        return singlePagesA4;
    }

    public void setSinglePagesA4(String singlePagesA4) {
        this.singlePagesA4 = singlePagesA4;
    }

    public Integer getPagesA3() {
        return pagesA3;
    }

    public void setPagesA3(Integer pagesA3) {
        this.pagesA3 = pagesA3;
    }

    public Integer getPagesA4() {
        return pagesA4;
    }

    public void setPagesA4(Integer pagesA4) {
        this.pagesA4 = pagesA4;
    }

    public Integer getTotalSubjects() {
        return totalSubjects;
    }

    public void setTotalSubjects(Integer totalSubjects) {
        this.totalSubjects = totalSubjects;
    }

    public Integer getTotalPrint() {
        return totalPrint;
    }

    public void setTotalPrint(Integer totalPrint) {
        this.totalPrint = totalPrint;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    public Boolean getValidate() {
        return validate;
    }

    public void setValidate(Boolean validate) {
        this.validate = validate;
    }

    public String getValidateStr() {
        return validateStr;
    }

    public void setValidateStr(String validateStr) {
        this.validateStr = validateStr;
    }

    public Boolean getDownload() {
        return download;
    }

    public void setDownload(Boolean download) {
        this.download = download;
    }

    public String getDownloadStr() {
        return downloadStr;
    }

    public void setDownloadStr(String downloadStr) {
        this.downloadStr = downloadStr;
    }

    public Boolean getTry() {
        return isTry;
    }

    public void setTry(Boolean aTry) {
        isTry = aTry;
    }

    public Boolean getPass() {
        return isPass;
    }

    public void setPass(Boolean pass) {
        isPass = pass;
    }

    public String getPrintUser() {
        return printUser;
    }

    public void setPrintUser(String printUser) {
        this.printUser = printUser;
    }

    public Long getPrintStartTime() {
        return printStartTime;
    }

    public void setPrintStartTime(Long printStartTime) {
        this.printStartTime = printStartTime;
    }

    public String getPrintStartTimeStr() {
        return printStartTimeStr;
    }

    public void setPrintStartTimeStr(String printStartTimeStr) {
        this.printStartTimeStr = printStartTimeStr;
    }

    public Long getPrintEndTime() {
        return printEndTime;
    }

    public void setPrintEndTime(Long printEndTime) {
        this.printEndTime = printEndTime;
    }

    public String getPrintEndTimeStr() {
        return printEndTimeStr;
    }

    public void setPrintEndTimeStr(String printEndTimeStr) {
        this.printEndTimeStr = printEndTimeStr;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public String getPrintContent() {
        return printContent;
    }

    public void setPrintContent(String printContent) {
        this.printContent = printContent;
    }

    public String getVariableContent() {
        return variableContent;
    }

    public void setVariableContent(String variableContent) {
        this.variableContent = variableContent;
    }

    public String getOrdinaryContent() {
        return ordinaryContent;
    }

    public void setOrdinaryContent(String ordinaryContent) {
        this.ordinaryContent = ordinaryContent;
    }

    public Boolean getIncluedPaper() {
        return incluedPaper;
    }

    public void setIncluedPaper(Boolean incluedPaper) {
        this.incluedPaper = incluedPaper;
    }

    public Boolean getIncluedCard() {
        return incluedCard;
    }

    public void setIncluedCard(Boolean incluedCard) {
        this.incluedCard = incluedCard;
    }

    public Boolean getIncluedSign() {
        return incluedSign;
    }

    public void setIncluedSign(Boolean incluedSign) {
        this.incluedSign = incluedSign;
    }

    public Boolean getIncluedPackage() {
        return incluedPackage;
    }

    public void setIncluedPackage(Boolean incluedPackage) {
        this.incluedPackage = incluedPackage;
    }

    public Boolean getIncluedCheckin() {
        return incluedCheckin;
    }

    public void setIncluedCheckin(Boolean incluedCheckin) {
        this.incluedCheckin = incluedCheckin;
    }
}
